> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Get campaign recipient info

GET https://api.mailchimp.com/3.0/reports/{campaign_id}/sent-to/{subscriber_hash}

Get information about a specific campaign recipient.

Reference: https://mailchimp.com/developer/marketing/api/reports/get-sent-to

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `campaign_id` (string, required) — The unique id for the campaign.
- `subscriber_hash` (string, required) — The MD5 hash of the lowercase version of the list member's email address.

### Query parameters

- `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
- `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

## Response

### 200

- `_links` (list of SentToLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `absplit_group` (enum, optional) — For A/B Split Campaigns, the group the member was apart of.
  - Allowed values: `a`, `b`, `winner`
- `campaign_id` (string, optional) — The campaign id.
- `email_address` (string, optional) — Email address for a subscriber.
- `email_id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address.
- `gmt_offset` (integer, optional) — For campaigns sent with timewarp, the time zone group the member is apart of.
- `last_open` (datetime, optional) — The date and time of the last open for this member in ISO 8601 format.
- `list_id` (string, optional) — The unique list id.
- `list_is_active` (boolean, optional) — The status of the list used, namely if it's deleted or disabled.
- `merge_fields` (map from string to SentToMergeFields, optional, nullable) — A dictionary of merge fields where the keys are the merge tags. See the [Merge Fields documentation](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for more about the structure.
- `open_count` (integer, optional) — The number of times a campaign was opened by this member.
- `status` (enum, optional) — The status of the email delivered to this subscriber. `hard` and `soft` refer to different [bounce types](https://mailchimp.com/help/soft-vs-hard-bounces/).
  - Allowed values: `sent`, `hard`, `soft`
- `vip` (boolean, optional) — [VIP status](https://mailchimp.com/help/designate-and-send-to-vip-contacts/) for subscriber.

## Types

### SentToLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### SentToMergeFields

This object's keys are merge tags (like FNAME). It's values are the values to be added to the merge field.

### SentToMergeFields0

- `addr1` (string, required)
- `city` (string, required)
- `state` (string, required)
- `zip` (string, required)
- `addr2` (string, optional)
- `country` (string, optional)

## Examples

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "absplit_group": "a",
  "campaign_id": "string",
  "email_address": "string",
  "email_id": "string",
  "gmt_offset": 1,
  "last_open": "2024-01-15T09:30:00Z",
  "list_id": "string",
  "list_is_active": true,
  "merge_fields": {},
  "open_count": 1,
  "status": "sent",
  "vip": true
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/reports/campaign_id/sent-to/subscriber_hash"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/reports/campaign_id/sent-to/subscriber_hash';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/reports/campaign_id/sent-to/subscriber_hash"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/reports/campaign_id/sent-to/subscriber_hash")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/reports/campaign_id/sent-to/subscriber_hash")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/reports/campaign_id/sent-to/subscriber_hash', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/reports/campaign_id/sent-to/subscriber_hash");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reports/campaign_id/sent-to/subscriber_hash")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```